2003-10-20  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/easyffi.l, /cvsroot/chicken/chicken/easyffi.scm:
	- easyffi.scm: added pseudo declarations and `struct ID' definition, negative numbers were not recognized
	- easyffi.scm: bugfix in call to `process-macro-def', pure virtual methods will generate in class without constructor method
	- easyffi.l: character constants

2003-10-15  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/doc/manual.t2p, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/examples/README, /cvsroot/chicken/chicken/examples/cube.scm, /cvsroot/chicken/chicken/examples/makefile, /cvsroot/chicken/chicken/examples/mandelbrot.scm, /cvsroot/chicken/chicken/examples/schelog-support.scm, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/csi.1, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/doc/FAQ.html, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/easyffi.l, /cvsroot/chicken/chicken/easyffi.scm, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/highlevel-macros.scm, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/optimizer.scm, /cvsroot/chicken/chicken/regex2.scm, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/support.scm, /cvsroot/chicken/chicken/c-platform.scm, /cvsroot/chicken/chicken/chicken.1, /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/chicken.scm, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/c-backend.scm:
	- removed `no-winding-callcc' declaration specifier and option
	- added cube.scm to examples
	- library.scm: `call/cc', `print-error-message'
	- eval.scm: `require' didn't handle circular requirements
	- batch-driver.scm: bails out if input- and output-filename are identical
	- easyffi.scm: handling of if/else outside of preprocessor contexts, inline, explicit, using, const and pure virtual methods
	- csc.in, c-platform.scm, batch-driver.scm: -ffi option allows compiling C/C++ for extraction of foreign bindings
	- c-backend.scm, support.scm: reference, const, enum and template type specifiers
	- easyffi.scm: template types, better support for fixnum and bool, __callback qualifier, struct/union/enum/reference
	- csc.in: accepts files with ".h" extension
	- The reader is now by default case sensitive
	- `-case-sensitive' -> '-case-insensitive'
	- bumped version to 1.21
	- local definitions inside bodies always expand into `letrec' forms, enclosing all subsequent forms
	- `-strict' didn't always imply `-strict-letrec' (now it does)
	- added compiler/interpreter option `-r5rs' (is `-hygienic -strict')
	- regex2.scm: `*pregexp-space-sensitive?*' should have been a variable, not a constant
	- strict letrec mode was erroneously enabled in non-hygienic mode by the compiler
	- runtime.c: changed FLONUM_PRINT_PRECISION to 15 [Thanks to "Category 5"]
	- csc.in: accepts .C, .cc, .cxx and .c++ as C++ source extensions

2003-10-03  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/easyffi.scm, /cvsroot/chicken/chicken/makefile.vc:
	- easyffi.scm: removed a diagnostic message
	- makefile.vc: builds extra libraries in gui mode (so that they don't refer to chicken.dll)
	- csc.in: `-windows' option is back (and works properly)

2003-10-01  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/easyffi.scm:
	- chicken.h: when compiled with g++, chicken-generated code doesn't use statement expressions [Thanks to Bruce Hoult]
	- easyffi.scm: added support for static member functions and C++ constants

2003-09-30  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/manual.t2p, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/easyffi.l, /cvsroot/chicken/chicken/easyffi.scm:
	- easyffi.scm: prototype bodies may contain code, now
	- easyffi.scm: `#if' fails always
	- chicken.h: includes `alloca.h', when compiled as C++, under Solaris, with GCC [Thanks to Bruce Hoult]
	- changed version to 1.20
	- easyffi.scm: `volatile', `virtual' and destructor parsing
	- easyffi.scm: enums and numeric `#define's are converted to constant-definitions

2003-09-29  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/c-platform.scm, /cvsroot/chicken/chicken/chicken-config.in, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/easyffi.l, /cvsroot/chicken/chicken/easyffi.scm, /cvsroot/chicken/chicken/tinyclos.scm, /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/c-backend.scm:
	- csc.in, chicken-config.in, configure.in, Makefile.am: automatically use proper compiler and linker in C++ mode
	- easyffi.scm: `#include' is now handled
	- `export' and `hide' declarations are more robust
	- c-backend.scm: assignments to foreign procedure argument temporaries are casted to please C++ compiler
	- easyffi.scm: (very) basic C++ support
	- tinyclos.scm: added builtin class `<c++-object>'

2003-09-27  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/c-backend.scm, /cvsroot/chicken/chicken/c-platform.scm, /cvsroot/chicken/chicken/chicken.1, /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/easyffi.scm, /cvsroot/chicken/chicken/lolevel.scm, /cvsroot/chicken/chicken/makefile.vc, /cvsroot/chicken/chicken/support.scm:
	- easyffi.scm: fixed numerous bugs
	- makefile.vc: can build easyffi.l.silex from source
	- easyffi.scm: `static' is allowed for prototypes and variables
	- lolevel.scm: MOVE-MEMORY! handles locatives, now
	- csc.in: added `-c++' option
	- c-backend.scm, chicken.h: fixes to allow compiling generated C code in C++ mode

2003-09-22  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/examples/makefile, /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/chicken.scm, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/doc/FAQ.html, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/manual.t2p, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/easyffi.l, /cvsroot/chicken/chicken/easyffi.scm, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/makefile.dj, /cvsroot/chicken/chicken/makefile.vc, /cvsroot/chicken/chicken/silex.scm, /cvsroot/chicken/chicken/support.scm:
	- library.scm: LIST->STRING could overflow the stack (on Windows) and was rather inefficient in general
	- added easyffi
	- bumped version to 1.19

2003-09-10  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/highlevel-macros.scm, /cvsroot/chicken/chicken/moremacros.scm:
	- csc.in: removed `-windows' option (didn't really work), added `-D SYMBOL' as synonym for `-feature'
	  and added special linker option for NetBSD [Thanks to Jun-iochiro itojun Hagino]
	- configure.in: gcc-check accepts optional suffix [Thanks to Sven Hartrumpf]
	- moremacros.scm, highlevel-macros.scm: `define-generic' accepts optional class

2003-09-08  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/manual.t2p, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/posix.scm, /cvsroot/chicken/chicken/support.scm, /cvsroot/chicken/chicken/build.scm:
	- csc.in: `-dynamic' is equivalent to `-shared'
	- support.scm: `-dynamic' wasn't mentioned in `-help' output
	- when using gcc 3.3, add `-Wno-strict-aliasing' option to CFLAGS [Thanks to Johannes Groedem]
	- bumped version to 1.18
	- posix.scm: `file-lock' mixed up input- and output-ports [Thanks to Johannes Groedem]
	- posix.scm: error-handling for file-locking was wrong
	- eval.scm: `load' didn't always return void

2003-09-05  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/c-platform.scm, /cvsroot/chicken/chicken/chicken.1, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/extras.scm, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/batch-driver.scm:
	- configure.in: fixed version-number
	- library.scm: `.' in vector literals caused crash
	- manual.tex: fixed a few typos
	- library.scm: `(error SYMBOL)' resulted in crash (oh my!)
	- csc.in: typo in library-file selection
	- csc.in, c-platform.scm, batch-driver.scm: added `-dynamic' option
	- runtime.c: there was no check for the heap-size maximum [Thanks to Sven Hartrumpf]
	- extras.scm: Sven Hartrumpf suggested a more efficient version of `string-compare3[-ci]'

2003-08-30  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/chicken-setup.scm, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/manual.t2p, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/doc/tex2page, /cvsroot/chicken/chicken/support.scm:
	- added `-quiet' option to chicken-setup
	- added `-no-init' option to tex2page invocation line
	- `#> ... <#' is now an abbreviation for `(declare (foreign-declare " .,, "))'
	- version is now 1.17

2003-08-25  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/doc/FAQ.html, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/highlevel-macros.scm, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/moremacros.scm, /cvsroot/chicken/chicken/runtime.c:
	- csc.in: `-embedded' wasn't recognized
	- library.scm: `get-keyword' accepts any object as keys
	- runtime.c: `C_callback' doesn't do a minor GC at entry [Thanks to Bruce Hoult]
	- `(. ...)' segfaulted instead of giving an error message [Thanks to Category 5]
	- `(receive X)' is allowed and returns the list of the result-values

2003-08-17  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/runtime.c:
	- fixed big performance leak in minor GC handling: GC-timing stuff for `time'
	  macro caused way too many kernel calls [Thanks to Bruce Hoult]
	- `dump_trace()' didn't initialize output buffer properly

2003-08-07  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/doc/Makefile, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/manual.t2p, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/highlevel-macros.scm, /cvsroot/chicken/chicken/lolevel.scm, /cvsroot/chicken/chicken/moremacros.scm, /cvsroot/chicken/chicken/posix.scm, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/chicken-setup.scm:
	- eval.scm: `extension-path'
	- lolevel.scm: `global-ref', `global-set!' and `global-bound?'
	- csc: static libs are reordered to link libchicken last [thanks to Sven Hartrumpf]
	- posix.scm: `group-information'
	- added index to the manual [thanks to Peter Wang]
	- 'loevel was declared as provided by csi (which was wrong)
	- removed `define-id-macro' and `let-id-macro'
	- setup-specification attributes `test', `test-command' and `test-chicken-version'
	- `C_alloc_in_heap()' is called with number of words (not bytes)

2003-07-30  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/extras.scm, /cvsroot/chicken/chicken/optimizer.scm, /cvsroot/chicken/chicken/posix.scm, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/c-backend.scm, /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csc.in:
	- `csc' added `-s' option to linker, when linking with optimization (won't
	  work when building shared object)
	- fixed countless typos in manual.tex [Thanks to Bruce Mitchener]
	- `csc' uses `-bundle' instead of `-shared' under Mac OS X
	- runtime.c: dload_2 prefixes dlsym'd name with "_"
	- posix.scm: under Mac OS X, `environ' is not used (and `current-environment'
	  always returns '())
	- removed `C_collectibles' and added `C_gc_protect()' and `C_gc_unprotect()'
	- fixed compiler bug that caused repeated explicit rest-argument list consing
	  [Thanks to Sven Hartrumpf]
	- added `string-compare3[-ci]'
	- reduced C_STACK_RESERVE to 4096; the previous setting could overflow the
	  stack-check on machines with a stack in very high memory

2003-07-25  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/chicken-setup.scm, /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/doc/FAQ.html, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.CVS, /cvsroot/chicken/chicken/doc/manual.t2p, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/posix.scm, /cvsroot/chicken/chicken/runtime.c:
	- added `C_end_of_main' macro to chicken.h
	- `location' now accepts callback-names
	- bumped version to 1.15
	- `csc' accepts '-windows' under Cygwin
	- chicken-setup.scm/eval.scm: ##sys#load-library-extension is exported (and used)
	- the STACKTRACE is printed directly (and not saved in a file)
	- `,d' in csi stops after 40 elements when printing sequences
	- chicken-setup.scm: fixed hardcoded ".so"
	- posix.scm: fixed some routines that weren't updated to the new I/O system

2003-07-17  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/doc/FAQ.html, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/scheduler.scm:
	- scheduler.scm: fixed bug in `##sys#all-threads'
	- scheduler.scm: fixed invalid timeout computation in `##sys#fdset-select-timeout'
	  [thanks to Peter Wang]

2003-07-15  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csi.1, /cvsroot/chicken/chicken/doc/FAQ.html, /cvsroot/chicken/chicken/doc/manual.t2p, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/posix.scm, /cvsroot/chicken/chicken/script-utils.scm:
	- library.scm: vector-resize
	- script-utils: for-each-line
	- uses newest autotools (libtool 1.5, autoconf 2.57, automake 1.7.6)
	- posix.scm: fixed bug in `process-execute' [Thanks to Peter Wang]

2003-07-07  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/chicken.1, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/support.scm, /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/c-platform.scm:
	- support.scm: generation of C literals from strings escapes '?' to avoid trigraphs
	- added `-slib' option to csc.in and csi.scm
	- cleaned up the manual a little
	- added `-require-for-syntax' option to `csc'/`chicken'
	- added `-windows' option to `csc'
	- bumped version to 1.14

2003-07-03  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/runtime.c:
	- removed chicken.init from Makefile.am (thanks to Sven Hartrumpf)
	- (build-platform) returns 'sun when compiled with the Sun compiler under Solaris
	- added Matthias Koeppe's fixes for proper handling of HAVE_CONFIG_H

2003-07-01  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/c-platform.scm, /cvsroot/chicken/chicken/chicken.init, /cvsroot/chicken/chicken/chicken.scm, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/doc/FAQ.html, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/extras.scm, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/moremacros.scm, /cvsroot/chicken/chicken/optimizer.scm, /cvsroot/chicken/chicken/regex.scm, /cvsroot/chicken/chicken/regex2.scm, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/srfi-18.scm:
	- runtime-system uses internal versions of `require', `provide' and `provided?'
	- extras.scm: substring=?, subtring-ci=?, string-translate*
	- regex.scm/regex2.scm: string-substitute*
	- c-platform.scm: added optimization-rule for `identity'
	- during exection of compiler-extensions, the feature-identifier #:compiler-extension is registered
	- Chicken now officially supports SRFI-39
	- '\xXX' character constants in strings
	- srfi-18.scm: `thread-deliver-signal!' [On special request by Joerg Wittenberger]
	- `(##sys#fudge 3)' returns #t if running on a 64-bit platform
	- removed chicken.init - we will handle this better...

2003-06-25  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/c-backend.scm, /cvsroot/chicken/chicken/c-platform.scm, /cvsroot/chicken/chicken/chicken-setup.scm, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/doc/FAQ.html, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.hdir, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/extras.scm, /cvsroot/chicken/chicken/optimizer.scm, /cvsroot/chicken/chicken/regex2.scm:
	- `csi -setup' with an invalid name gives an error [Thanks to Peter Keller]
	- `-extend' option was broken [Thanks to Joerg Wittenberger]
	- csc.in: on Windows, filenames with drive-designators where interpreted as runtime-options
	- csc.in: pathnames passed to cl and link are transformed (#\/ -> #\\)
	- on windows, #\\ in pathnames could generate invalid C output in `C_trace()'
	- extras.scm: identity, project, conjoin, disjoin
	- configure.in: applied patch to link `nanosleep()' under Solaris 7/8 [Thanks to Matthias Koeppe]
	- c-platform.scm: added peek-char and char-ready? to side-effecting-standard-bindings
	- optimizer.scm: fixed bug in rewriting of certain builtin procedures
	- configure.in: check for ldl had a type [Thanks to Matthias Koeppe]
	- regex2.scm: wrong feature name for shared compile was used
	- removed doc/README.txt and added doc/manual.hdir

2003-06-19  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/moremacros.scm:
	- Bumped version number to 1.12

2003-06-14  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/c-platform.scm, /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.CVS, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/extras.scm, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/lolevel.scm, /cvsroot/chicken/chicken/posix.scm, /cvsroot/chicken/chicken/runtime.c:
	- extras.scm: the first argument to `read-string' is now optional
	- runtime.c: interning of empty string referenced uninitialized memory
	- posix.scm: I/O on ports returned by `process' is now fully nonblocking
	- posix.scm: `errno/wouldblock'
	- files loaded via the `-extend' compiler option are also searched in the
	  current include-path
	- `##sys#call-with-direct-continuation' and `##sys#direct-return' (they
	  might turn out useful)
	- lolevel.scm: `unbound-variable-value'
	- posix.scm: `file-read' didn't check the buffer argument early enough
	- extras.scm: `write-string'
	- csi doesn't use the lolevel unit anymore
	- `chicken-setup.c' was not up to date
	- added BOOTSTRAP_PATH to Makefile.am, this simplifies the invocation
	  of make when bootstrapping the system from CVS sources
	  [Thanks to Peter Keller]

2003-06-06  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/posix.scm, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/tcp.scm:
	- tcp.scm: tcp-listener-port
	- fixed bug in runtime.c that resulted in fopen() being called with invalid file-mode
	- tcp.scm: EWOULDBLOCK wasn't defined under Win32 with MSVC
	- the printer mixed up "input" and "output" when printing port objects
	- fixed bug in read-char handler of pipe-ports
	- fixed two unbound variable bugs in library.scm and posix.scm
	- commit updates ChangeLog at website and send message to mailing list.
	  In other words: SMTP and FTP extensions are imminent ;-)

2003-06-02  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/doc/FAQ.html, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/extras.scm, /cvsroot/chicken/chicken/format.scm, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/lolevel.scm, /cvsroot/chicken/chicken/posix.scm, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/scheduler.scm, /cvsroot/chicken/chicken/support.scm, /cvsroot/chicken/chicken/tcp.scm, /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/chicken.h:
	- fixed problem with scheduler.scm (C_msleep) under Windows
	- overhauled I/O subsystem
	- lolevel.scm: invalid-procedure-call-handler
	- declaration `safe-globals'
	- internal compiler for `##core#app'
	- eval/visit uses `##core#app'
	- debug-option `D'
	- (hopefully) settled all thread-safety issues in `format.scm'
	- nonblocking I/O for tcp-ports
	- made `##sys#errno' an int, instead of an integer (library.scm)
	- fixed bug in tcp.scm: partial writes to tcp-port didn't remove sent part
	- `##sys#thread-block-for-i/o!' for output (or mixed?) mode doesn't work properly (deactived,
	  does simple polling)

2003-05-21  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/chicken-setup.scm, /cvsroot/chicken/chicken/doc/FAQ.html, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/scheduler.scm:
	- scheduler.scm: timeout-values in nanoseconds where calculated incorrectly
	- chicken-setup.scm: -wrap doesn't create registry, if not existing
	- ##sys#special-read-syntax-table
	- updated FAQ a little

2003-05-19  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/highlevel-macros.scm, /cvsroot/chicken/chicken/moremacros.scm, /cvsroot/chicken/chicken/posix.scm, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/scheduler.scm:
	- `define-foreign-variable' isn't seen by `visit' anymore
	- `C_flonum()' advanced allocation pointer wrongly on 64-bit platforms
	- `parameterize' accepts arbitrary expressions in the parameter position of the binding-list
	- applied patches by Sven Hartrumpf that remove unneeded special casing for ICC
	- constants defined via `define-constant' are visible inside constant-expressions for
	  that form
	- the scheduler doesn't waste CPU cycles when waiting for thread- or I/O-timeout, unless
	  other threads are ready [Thanks to Chris Double]

2003-05-08  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/support.scm, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/highlevel-macros.scm, /cvsroot/chicken/chicken/moremacros.scm, /cvsroot/chicken/chicken/parameters.scm, /cvsroot/chicken/chicken/posix.scm, /cvsroot/chicken/chicken/runtime.c:
	- fixed bug in `process-execute', pointers to potentially gc-moved strings where retained
	  [thanks to Joerg Wittenberger]
	- `define-constant' evaluates 2nd argument at compile time
	- fixed bug with mutable constants in `define-constant' forms
	- visiting handles `define-foreign-type' and `define-foreign-variable'
	- fixed compiler bug in support.scm: `estimate-foreign-result-size' allocated one word too little if flonum result
	  has to be aligned
	- `##core#inline[_allocate]' expanded incorrectly with the hygienic macro system
	  [Thanks to Panagiotis Vossos]
	- fixed 32-bit dependencies: C_FLONUM_TAG was wrong on 64-bit platforms; C_equalp() used `int' where a `C_word'
	  was needed
	- 8-byte alignment was incorrectly handled for 64-bit platforms

2003-05-04  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/library.scm:
	- `output-port?' returned 0 on closed port [Thanks to Burton Samograd]

	* /cvsroot/chicken/chicken/chicken-setup.scm, /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/extras.scm, /cvsroot/chicken/chicken/format.scm, /cvsroot/chicken/chicken/highlevel-macros.scm, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/moremacros.scm, /cvsroot/chicken/chicken/parameters.scm, /cvsroot/chicken/chicken/posix.scm, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/srfi-13.scm, /cvsroot/chicken/chicken/support.scm, /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/build.scm:
	- `substring' signals (exn bounds)
	- replaced several occurences of `substring' with `##sys#substring'
	- moved the description of `process' into the proper manual section
	- `process' should read non-blocking, now
	- buffer grows by doubling it's size in `read-line'
	- chicken-setup: defaults options are "-O2 -d0"
	- format is thread-safe
	- the transcript port wasn't properly recognized as a tty-port
	- vector-copy! signals (exn bounds)
	- several small optimizations in library.scm
	- non-exported globals where still exported, if ref'd before definition
	- non-blocking `process' seems to work
	- `csi -setup-help' and -uninstall
	- `string-null?' is expanded inline
	- visit handling constant- and inline-definitions
	- `define-constant' wasn't consistently handled in hygienic and non-hygienic mode
	- removed procedure-definition syntax for `define-constant'

2003-04-23  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/c-backend.scm, /cvsroot/chicken/chicken/chicken-setup.scm, /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/extras.scm, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/lolevel.scm, /cvsroot/chicken/chicken/posix.scm, /cvsroot/chicken/chicken/regex.scm, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/support.scm:
	- hidden globals where not properly checked for boundedness
	- the foreign return types `c-pointer' and `pointer' did not return `#f' on NULL results
	  [thanks to Peter Wang]
	- `##sys#void' is handled better by `canonicalize-begin-body' (support.scm)
	- fixed space leaks in `regex.scm'
	- `read-line' accepts optional limit
	- `-setup' gives useful error-message on non-UNIX platforms
	- there where two conflicting versions of `provided?'
	- chicken-setup handles single-file case
	- some warning-options are passed to CFLAGS
	- fixed typo in posix.scm [Thanks to Joerg Wittenberger]

2003-04-19  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/highlevel-macros.scm, /cvsroot/chicken/chicken/runtime.c:
	- fixed a couple of 32-bit dependencies [Thanks to Panagiotis Vossos]
	- fixed bug in syntax-case version of condition-case

	* /cvsroot/chicken/chicken/psyntax-chicken.pp:
	removed psyntax-chicken.pp

	* /cvsroot/chicken/chicken/examples/ctclsh.scm, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/support.scm, /cvsroot/chicken/chicken/tcp.scm, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/srfi-25.scm, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/highlevel-macros.scm, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/moremacros.scm, /cvsroot/chicken/chicken/optimizer.scm, /cvsroot/chicken/chicken/psyntax.scm, /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/c-backend.scm, /cvsroot/chicken/chicken/c-platform.scm, /cvsroot/chicken/chicken/chicken.1, /cvsroot/chicken/chicken/chicken.scm, /cvsroot/chicken/chicken/compiler.scm:
	- fixed bug in c-backend.scm: heap-limit settings [Thanks to Sven Hartrumpf]
	- fixed bug in runtime.c: handling of -:t... was bogus [Thanks to Sven]
	- the default output-file for `chicken' is now the original-filename (+ ".c") [Thanks to Panagiotis Vossos]
	- syntax-case uses `##sys#void' in expansions
	- removed `error-handler'
	- diversified exceptions a little
	- srfi-25: signals more sensible exn types
	- added `condition-case'

2003-04-08  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/examples/prolog.scm, /cvsroot/chicken/chicken/examples/schelog-support.scm, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/match-support.scm, /cvsroot/chicken/chicken/posix.scm, /cvsroot/chicken/chicken/regex.scm, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/scheduler.scm, /cvsroot/chicken/chicken/script-utils.scm, /cvsroot/chicken/chicken/srfi-1.scm, /cvsroot/chicken/chicken/srfi-13.scm, /cvsroot/chicken/chicken/srfi-14.scm, /cvsroot/chicken/chicken/srfi-18.scm, /cvsroot/chicken/chicken/srfi-37.scm, /cvsroot/chicken/chicken/srfi-4.scm, /cvsroot/chicken/chicken/syntax-case.scm, /cvsroot/chicken/chicken/tcp.scm:
	- eval.scm: `##sys#environment-is-mutable' isn't hidden anymore.
	- scheduler.scm: ##sys#fetch-and-clear.
	- simplified some code in tcp.scm.
	- `(build-platform)' returns 'intel for ICC.
	- removed `interrupts-disabled' declaration.

2003-04-03  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/runtime.c:
	- Changed calls to AC_INIT and AM_INIT_AUTOMAKE in configure.in to new syntax.
	- Recreated autotool files using newest versions.

2003-03-31  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/c-platform.scm, /cvsroot/chicken/chicken/chicken-setup.scm, /cvsroot/chicken/chicken/chicken.1, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/highlevel-macros.scm, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/moremacros.scm, /cvsroot/chicken/chicken/posix.scm, /cvsroot/chicken/chicken/support.scm:
	- Removed syntax checks from internal `##core#...' forms.
	- `require-at-runtime' setup-specification.
	- `csi -setup -init' did not install core extensions.
	- `seconds->string' (posix.scm) couldn't handle large (but valid) non-fixnum integers
	  [Thanks to Anthony Carrico]
	- `visit' and `-visit' options to csi and chicken.
	- `(gc #t)' didn't return number of free bytes.
	- `pathname-directory-separator' was #\\ under Cygwin (is now #\/).
	- Removed fixnum->flonum coercion warning in reader.

2003-03-23  njbeckford  <njbeckford@gurke>

	* /cvsroot/chicken/chicken/runtime.c:
	Got rid of buffer overflow in C_get_environment_variable.

2003-03-22  njbeckford  <njbeckford@gurke>

	* /cvsroot/chicken/chicken/Makefile.am:
	Undid change that made both MORE_LIBS and MORE_STATIC_LIBS be the same thing.

	* /cvsroot/chicken/chicken/Makefile.am:
	Made both MORE_LIBS and MORE_STATIC_LIBS be the same thing.

	* /cvsroot/chicken/chicken/Makefile.am:
	-all-static replaced by -static.  On Solaris, need libdl.so and
	libnsl.so since no libdl.a nor libnsl.a.

	* /cvsroot/chicken/chicken/Makefile.am:
	"make doc" and "make testsuites" now use CHICKEN=../chicken

	* /cvsroot/chicken/chicken/Makefile.am:
	Uses MORE_STATIC_LIBS instead of MORE_LIBS for
	lib[xxx_]chicken_la_LDFLAGS so that libtool does not add "-ldl"
	whenever something links with lib[xxx-]chicken.la.

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/chicken-config.in, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/runtime.c:
	configure.in: Made new variable SHLIBS which has -ldl or -ldld, which will only be used in non -all-static code.
	Makefile.am: Use SHLIBS to differentiate MORE_LIBS from MORE_STATIC_LIBS.
	runtime.c: Do not even try to use dl.h/dlfcn.h/dlopen/shlopen when in all-static mode.
	chicken-config.in, csc.in: Use MORE_STATIC_LIBS (%morestaticlibs%) in static mode.

2003-03-20  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.tex:
	- `csc' deletes .lib and .exp files if compiling non-shared, non-static on MSVC.
	- bumped version number to 1.0.

2003-03-16  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/parameters.scm:
	- "so" was assumed as dynamically loadable file extension (should be "dll" under windows).
	- csc passed "/DPIC" to msvc, if compiling without `-static'.

2003-03-14  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/chicken-config.in, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/library.scm:
	- Added `-static' option to csc and chicken-config. Both scripts misused `-shared'
	  as an indicator for linking with shared libs, but this option should be used
	  to generate dynamically loadable modules. Default is now to generate dynamically
	  linked executables. Use `-static' for generating statically linked binaries.
	- `[...]' is now allowed in strict-reader mode.

2003-03-12  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/testsuites/test-lolevel.scm, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/testsuites/makefile.in, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/scheme-chicken-hygienic.c, /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/chicken-config.in, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/makefile.mingw32, /cvsroot/chicken/chicken/makefile.vc, /cvsroot/chicken/chicken/parameters.scm, /cvsroot/chicken/chicken/runtime.c:
	- scheme-chicken-hygienic script interpreter.
	- Fixed two bugs in csc.in.
	- removed testsuites/test-lolevel.scm.

2003-03-12  njbeckford  <njbeckford@gurke>

	* /cvsroot/chicken/chicken/Makefile.am:
	Changed "-static" libtool link option to "-all-static".

	-all-static: Always choose static libraries where possible, and try to
	create a completely statically linked executable.

	-static: This switch is similar to `-all-static', except that it
	applies to only the uninstalled Libtool libraries in the build
	tree. Where possible the static archive from these libraries is used,
	but the default linking mode is used for libraries which are already
	installed.

	-static was causing problems on some people's systems (well, Felix's)
	because the default linking mode is shared libraries.

2003-03-11  njbeckford  <njbeckford@gurke>

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/chicken-config.in, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/testsuites/makefile.in:
	For static linking, always use an absolute form like
	/usr/local/lib/libchicken.a instead of -lchicken.

	* /cvsroot/chicken/chicken/chicken-config.in:
	Condensed multiple lines of output into one.  Was screwing up
	SWIG configure script.

2003-03-10  njbeckford  <njbeckford@gurke>

	* /cvsroot/chicken/chicken/compiler.scm:
	Fixed typo error (fix was by Felix).

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/mingw/Makefile.in, /cvsroot/chicken/chicken/testsuites/makefile.in:
	Some fixes to allow MinGW to work as intended.
	Especially, changing testsuites to rely on chicken-config for the
	compiling and linking options.

	* /cvsroot/chicken/chicken/mingw/Makefile.in:
	Just install csc.bat, not csc

	* /cvsroot/chicken/chicken/mingw/configure.sh:
	Needed to shift the installation location of the list of command line
	arguments to ../configure.

	* /cvsroot/chicken/chicken/testsuites/makefile:
	Deprecated; use makefile.in

	* /cvsroot/chicken/chicken/runtime.c:
	Changed the order of dload_2 functions so that dlopen/dlsym comes
	before LoadLibrary/GetProcAddress.  This means that for Cygwin,
	dlopen/dlsym will be used, and Cygwin's checking of LD_LIBRARY_PATH in
	addition to PATH will be used.

	* /cvsroot/chicken/chicken/chicken-config.in:
	The -shared option needs to add -DPIC to compiler flags.

2003-03-09  njbeckford  <njbeckford@gurke>

	* /cvsroot/chicken/chicken/c-backend.scm, /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/makefile.vc, /cvsroot/chicken/chicken/runtime.c:
	Changes to allow Microsoft Visual C++ to compile.  All functions in
	chicken.h had to have a dllimport/dllexport.  Got rid of C_dllexport
	as it was messing up the MSVC compile, but needs to be looked at
	further.  Makefile.vc updated to build both static and shared
	libraries.  The c-backend was updated so that C_xxx_toplevel was
	imported and exported properly on a MSVC build.

2003-03-08  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/doc/README.CVS, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/tcp.scm:
	- `-strict-reader' doesn't disable `[...]' list syntax.
	- Added `tcp-abandon-port' to tcp.scm.
	- Makefile.am: the effect USE_POSIX was sometimes reversed.
	- csc handles different shared-library file extensions.

2003-03-04  njbeckford  <njbeckford@gurke>

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/configure.in:
	Fixed configure.in and Makefile.am to work with minimum autoconf 2.50, automake 1.4-p3 and libtool 1.3

	* /cvsroot/chicken/chicken/runtime.c:
	Bug fix for handling of .dll or .so extension for cygwin/mingw.

	* /cvsroot/chicken/chicken/Makefile.am:
	Bug fix for multiple compilation of chicken-setup.

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/chicken-config.in, /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/mingw/INSTALL, /cvsroot/chicken/chicken/mingw/Makefile.in, /cvsroot/chicken/chicken/mingw/autogen.sh, /cvsroot/chicken/chicken/mingw/configure.sh, /cvsroot/chicken/chicken/mingw/installdllv.sh, /cvsroot/chicken/chicken/mingw/mingw-cc.sh, /cvsroot/chicken/chicken/mingw/mingw-cxx.sh, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/testsuites/makefile.in:
	Support for MinGW/Cygwin dynamic loading.  MinGW now uses the GNU
	autoconf et al. tools.

2003-03-03  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/c-platform.scm, /cvsroot/chicken/chicken/chicken.1, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.CVS, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/scheduler.scm, /cvsroot/chicken/chicken/support.scm, /cvsroot/chicken/chicken/syntax-case.scm:
	1099:
	- Added `-strict-letrec' option to chicken and csi.
	- Added `##sys#all-threads' to scheduler.scm [Suggested by Joerg Wittenberger].

2003-03-02  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/doc/FAQ.html, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/examples/README, /cvsroot/chicken/chicken/examples/makefile, /cvsroot/chicken/chicken/examples/tcp-client.scm, /cvsroot/chicken/chicken/examples/tcp-server.scm, /cvsroot/chicken/chicken/extras.scm, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/makefile.vc, /cvsroot/chicken/chicken/scheduler.scm, /cvsroot/chicken/chicken/tcp.scm, /cvsroot/chicken/chicken/testsuites/test-example.scm, /cvsroot/chicken/chicken/tinyclos.scm, /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/chicken-setup.scm, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csc.bat:
	- The scheduler does a `select()' with infinite timeout, when no other threads are ready or waiting for timeout.
	- The predicate returned by `condition-predicate' always returns #t or #f.
	- Added tcp to base system.
	- Windows batch files were not compiled with uses-declarations for all csi units.
	- Removed toplevel command `,x1' in csi.
	- Updated FAQ.html.
	- Added `-e[mbedded]' to chicken-config and csc.
	- `with-(input-from|output-to)-(port|string)' are continuation-safe [Thanks to Joerg Wittenberger and Tony Garnock-Jones].
	- Removed `-no-warnings' option from Makefile.am.
	- The compiler could not be loaded into csi (missing variable `posix-is-available') [Thanks to Jonah Beckford].
	- Fixed some problems in the scheduler [Thanks to Joerg Wittenberger].
	- Fixed a bug in examples/makefile which made linking ctclsh fail [Thanks to Sven Hartrumpf].
	- Added a fast path in the `dynamic-wind' enabled version of `call-with-current-continuation' that
	  makes it a little bit faster in case no winding thunks are used [Thanks to Joerg Wittenberger].

2003-02-25  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/examples/makefile, /cvsroot/chicken/chicken/examples/tclAppInit.c, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/makefile.dj, /cvsroot/chicken/chicken/makefile.guilibs, /cvsroot/chicken/chicken/makefile.mingw32, /cvsroot/chicken/chicken/makefile.vc, /cvsroot/chicken/chicken/parameters.scm, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/scheduler.scm, /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/c-backend.scm, /cvsroot/chicken/chicken/c-platform.scm, /cvsroot/chicken/chicken/chicken-config.in, /cvsroot/chicken/chicken/chicken-setup.scm:
	- libchicken is now linked to csi as the last library.
	- Fixed problem(s) in makefile.vc.
	- Updated manual.
	- Compiler emits `main()' entry-point as needed.
	- libembedded-chicken isn't needed anymore.
	- Renamed `WINDOWS_GUI/_DLL' to `C_WINDOWS_...'.
	- `CHICKEN_...' procedures have an additional argument: the toplevel entry point procedure pointer.
	- `tex2page' is now distributed with all the other stuff.
	- Added `-setup -init' option to csi.
	- Alternative registry locations.
	- `##sys#thread-block-for-i/o!' doesn't block if other threads are ready or blocked.

2003-02-18  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/doc/FAQ.html, /cvsroot/chicken/chicken/doc/Makefile, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/parameters.scm, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/scheduler.scm, /cvsroot/chicken/chicken/srfi-37.scm, /cvsroot/chicken/chicken/support.scm, /cvsroot/chicken/chicken/tinyclos.scm, /cvsroot/chicken/chicken/makefile.dj, /cvsroot/chicken/chicken/makefile.guilibs, /cvsroot/chicken/chicken/makefile.mingw32, /cvsroot/chicken/chicken/makefile.vc, /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/chicken-setup.scm, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/lolevel.scm:
	- Moved scheduler into libchicken (instead of libsrfi-chicken)
	- Scheduler fix that is needed for Winsock
	- Compiling csi doesn't need ##csi#run prelude anymore
	- Added TinyCLOS support for tagged pointers [Thanks to Jonah Beckford]
	- runtime.c: fixed bug in values_continuation() (stack-shift shifted one
	  too many); fixed uninit'd variable bug in C_gc().
	  Valgrind is incredible!
	- File-extension of dynamically loadable files is system dependent.
	- Removed serialization stuff. Has to be done better.
	- The srfi-37 unit doesn't need regex anymore.
	- Renamed Win32 libraries to match UNIX names.
	- chicken-setup stuff doesn't print system commands.

2003-02-11  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/doc/tex2page, /cvsroot/chicken/chicken/doc/tex2page.scm, /cvsroot/chicken/chicken/examples/prolog.scm, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/builtin-interfaces.scm, /cvsroot/chicken/chicken/c-platform.scm, /cvsroot/chicken/chicken/chicken-setup.scm, /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/chicken.scm, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/doc/FAQ.html, /cvsroot/chicken/chicken/doc/Makefile, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/highlevel-macros.scm, /cvsroot/chicken/chicken/makefile.dj, /cvsroot/chicken/chicken/makefile.guilibs, /cvsroot/chicken/chicken/makefile.mingw32, /cvsroot/chicken/chicken/makefile.vc, /cvsroot/chicken/chicken/match-support.scm, /cvsroot/chicken/chicken/match.scm, /cvsroot/chicken/chicken/modules.scm, /cvsroot/chicken/chicken/moremacros.scm, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/script-utils.scm, /cvsroot/chicken/chicken/srfi-37.scm, /cvsroot/chicken/chicken/support.scm:
	- removed old module system
	- type-checks for fixed-size objects are more efficient
	- moved srfi-37 into it's own file
	- separated macro-definitions from support code in match.scm
	- pattern matcher is now available with highlevel macros
	- #!-scripts (csi -script or scheme-chicken) use all units available to the interpreter by default
	- type-error message in `locative->object' reported wrong location
	- tex2page is now interpreted (simplifies installation)
	- manual points now to match.ps at call/cc.org (the old site doesn't seem to be available)

2003-02-06  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/doc/Makefile, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/runtime.c:
	- HTML manual wasn't properly generated from CVS version.
	- added tagged pointer type.

2003-01-31  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/support.scm:
	- compressed literals were not written readably into string constant [Thanks to Sven Hartrumpf]

2003-01-29  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/scheduler.scm, /cvsroot/chicken/chicken/srfi-18.scm, /cvsroot/chicken/chicken/testsuites/test-example.scm, /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/chicken-config.in, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/extras.scm:
	- chicken-config and csc don't mention -I/usr/local/include anymore
	- added basic `select()' based scheduling to the threading stuff
	- moved port-handler cases for #:write-XXX at start of case [Suggested by Joerg Wittenberger]
	- removed call to ##sys#all-threads from csi.scm
	- make install generates HTML docs
	- csc.1 wasn't installed
	- bumped version to 1090

2003-01-20  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/formatprofile.in:
	- removed `formatprofile.in' (it now uses scheme-chicken)

	* /cvsroot/chicken/chicken/formatprofile, /cvsroot/chicken/chicken/scheduler.scm, /cvsroot/chicken/chicken/scheme-chicken.c:
	- forgot some files (again)

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/builtin-interfaces.scm, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/highlevel-macros.scm, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/makefile.dj, /cvsroot/chicken/chicken/makefile.mingw32, /cvsroot/chicken/chicken/makefile.vc, /cvsroot/chicken/chicken/posix.scm, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/srfi-18.scm, /cvsroot/chicken/chicken/testsuites/makefile, /cvsroot/chicken/chicken/testsuites/test-example.scm, /cvsroot/chicken/chicken/testsuites/test-lolevel.scm, /cvsroot/chicken/chicken/testsuites/test-r5rs.scm, /cvsroot/chicken/chicken/testsuites/test-test-infrastructure.scm:
	- definitions in highlevel-macros.scm used `implicit-identifier'
	  (but it's called now `datum->syntax-object')
	- added `scheme-chicken' scriopt interpreter
	- compiler knows how to compile scheme-chicken scripts
	- put scheduler into own library unit
	- removed optional argument from `set-signal-handler!'
	- heavily overhauled scheduler
	- posix: Ctrl-C now only resets primordial thread
	- applied fix to `system' which could cause a buffer overflow [Thanks to Joerg Wittenberger]

2003-01-15  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/builtin-interfaces.scm, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/extras.scm, /cvsroot/chicken/chicken/formatprofile.bat, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/scheme-ieee-1178-1990.c, /cvsroot/chicken/chicken/scheme-r4rs.c, /cvsroot/chicken/chicken/scheme-r5rs.c, /cvsroot/chicken/chicken/scheme-srfi-0.c, /cvsroot/chicken/chicken/scheme-srfi-7.c:
	- fixed a bug that caused non-ASCII latin-1 characters to be treated as signed, when retrieved
	  from a string [Thanks to Sven Hartrumpf]
	- `csi -setup' lists installed extensions
	- removed the `(number-type flonum)' declaration
	- ##sys#pathname-resolution
	- added `scheme-chicken' script interpreter
	- formatprofile uses `scheme-chicken'; added fix by Joerg
	- `make-output-port' accepts optional flush parameter [thanks to Joerg Wittenberger]

2003-01-11  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/testsuites/makefile, /cvsroot/chicken/chicken/testsuites/test-example.scm, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/chicken-setup.scm, /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.tex:
	- fixed a bug that caused non-ASCII latin-1 characters to be treated as signed, when retrieved
	  from a string [Thanks to Sven Hartrumpf]
	- `csi -setup' lists installed extensions
	- removed the `(number-type flonum)' declaration. It's stupid.

2003-01-07  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/doc/Makefile, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/examples/makefile, /cvsroot/chicken/chicken/psyntax.scm, /cvsroot/chicken/chicken/regex.scm, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/script-utils.scm, /cvsroot/chicken/chicken/srfi-18.scm, /cvsroot/chicken/chicken/srfi-25.scm, /cvsroot/chicken/chicken/srfi-4.scm, /cvsroot/chicken/chicken/support.scm, /cvsroot/chicken/chicken/syntax-case.scm, /cvsroot/chicken/chicken/tweaks.scm, /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/c-backend.scm, /cvsroot/chicken/chicken/c-platform.scm, /cvsroot/chicken/chicken/chicken-config.in, /cvsroot/chicken/chicken/chicken-setup.scm, /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/chicken.scm, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/extras.scm, /cvsroot/chicken/chicken/formatprofile.bat, /cvsroot/chicken/chicken/formatprofile.in, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/lolevel.scm, /cvsroot/chicken/chicken/modules.scm, /cvsroot/chicken/chicken/optimizer.scm, /cvsroot/chicken/chicken/parameters.scm, /cvsroot/chicken/chicken/posix.scm, /cvsroot/chicken/chicken/profiler.scm, /cvsroot/chicken/chicken/psyntax-chicken.pp:
	- chicken-config: `--cc' option [suggested by Sven Hartrumpf]
	- some minor changes to `chicken.h' and `runtime.c' related to the
	  Intel C compiler
	- fixed some things in examples/makefile
	- added nursery-size check at toplevel entry
	- added optional second argument to `compress-literals' declaration
	  (this is used to move the startup-delay for `syntax-case.scm'
	  to macro-system installation time)
	- `define-inline' and `define-constant' were not correctly handled
	  under the syntax-case macro system, when interpreted
	- fixed bugs in read-line and read-string [Thanks to Joerg Wittenberger]
	- changed copyright to 2003
	- added pathname-resolution hook
	- removed call to string-copy in `make-output-port' [Joerg, again]
	- `formatprofile' shows average time per procedure [Joerg, who else]

2002-12-19  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/test-infrastructure-hygienic.scm:
	+ Whoo boy. I added lots o' stuff!
	+ Changed all of the test macros to insert a unique serial number into
		each result that can be made. There is a problem with this though,
		I need a top level define so this means you can only include this
		file ONCE in any given project. This means that you have to end up
		compiling your test program with a single compile. No separate
		compilation for each file. :( I'm thinking on how to solve this.
	+ Added the function output-html-simple. It outputs an evaluated result
		tree into html. This isn't done quite yet, but it is a large amount of
		work and I want it to be safe in the repository. It generates pretty
		decent looking html for the output, but I still have stuff to add.
	+ There is now a statistics function which you can call on a result tree
		to calculate all sorts of things about the evluated results, like
		how many things passed/failed, and damn near anything else you'd care to
		wonder about. This added around 70 calls to the API, but they are simple.
		Hmm... I might need to add "how many expectations are in this test case"
		kind of information though.... We'll see. Right now, there is plenty
		of computed statistics in there that are useful.

2002-12-17  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/extend-chicken.in, /cvsroot/chicken/chicken/extend-csi.in:
	removed them.

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/doc/COPYING.tex2page, /cvsroot/chicken/chicken/doc/FAQ.html, /cvsroot/chicken/chicken/doc/Makefile, /cvsroot/chicken/chicken/doc/css.t2p, /cvsroot/chicken/chicken/doc/manual.t2p, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/doc/tex2page.scm, /cvsroot/chicken/chicken/extras.scm, /cvsroot/chicken/chicken/highlevel-macros.scm, /cvsroot/chicken/chicken/moremacros.scm:
	- `read-line' should now handle CRLF transparently [Thanks to Joerg Wittenberger]
	- removed `extend-csi' and `extend-chicken' scripts
	- `let-optionals' and `define-entry-point' are now available under the hygienic macro system
	- removed `define-integrable', `define-datatype', `record-case' and `cases'
	- `user-post-analyis-pass'

2002-12-15  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/test-infrastructure-hygienic.scm:
	+ Changed the undocumented name of the statistics creator function.
	+ Added a global unique identifier creation function and subsequent
		invocation of it so I can have unique serial numbers for all results.
	+ I have not yet modified the result object construction code to use the
		serial numbers yet, since I need some questions resolved about how
		chicken interacts with seperate compilation and (include ...) with
		toplevel definitions.

	* /cvsroot/chicken/chicken/testsuites/test-lolevel.scm, /cvsroot/chicken/chicken/testsuites/test-r5rs.scm, /cvsroot/chicken/chicken/testsuites/test-test-infrastructure.scm, /cvsroot/chicken/chicken/testsuites/test-example.scm:
	+ Changed the use of output-style-human to output-style-human-simple.

	* /cvsroot/chicken/chicken/test-infrastructure-hygienic.scm:
	+ Changed the name of the output-style-human API call to
		output-style-human-simple.
	+ Added *-warning? Which checks to see if a warning is active on any kind of
		a valid result object.
	+ Added a statistics system(and subsequent API to be detailed in the manual)
		which counts up all sorts of relavant information in a result tree and
		plances it into a statistics object which a large API has been built
		to manipulate. I'm not fully done with this yet, but it is such a large
		amount of detailed work, that I want to check it in to keep it safe. :)

2002-12-14  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/psyntax-bootstrap.scm, /cvsroot/chicken/chicken/psyntax-chicken.pp, /cvsroot/chicken/chicken/psyntax.pp, /cvsroot/chicken/chicken/psyntax.scm:
	forgot some files, naturally

2002-12-13  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/doc/Makefile, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/builtin-interfaces.scm, /cvsroot/chicken/chicken/c-platform.scm, /cvsroot/chicken/chicken/chicken.1, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/highlevel-macros.scm, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/makefile.dj, /cvsroot/chicken/chicken/makefile.guilibs, /cvsroot/chicken/chicken/makefile.mingw32, /cvsroot/chicken/chicken/makefile.vc, /cvsroot/chicken/chicken/parameters.scm, /cvsroot/chicken/chicken/support.scm, /cvsroot/chicken/chicken/syntax-case.scm:
	- we now use a more up-to-date version of Chez' portable
	  syntax-case implementation.
	- special compile-handling of `error' accepts now an optional
	  location as first argument.
	- Steve Elkins confirmed successfull build on OpenBSD.
	- library units syntax-case and modules are not compiled unsafe
	  (for libuchicken.*).
	- Compiler-option `-compress-literals' and equivalent declaration.
	- `(chicken-version)'.

2002-12-11  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/doc/manual.tex:
	+ Added side effect section, and a sample output of the output-style-human
		output generation function.

	* /cvsroot/chicken/chicken/test-infrastructure-hygienic.scm:
	+ Added the macro (side-effect ...) which evaluates a set of arguments in
		a (begin ...) form and then returns the ignore-result result. This
		allows you to set up complicated situations for expectations where
		you might just want to secretly do a lot of work and then perform several
		expectations.

2002-12-09  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/doc/manual.tex:
	+ Added some documentation for some miscellaneous API calls into the
		testing infrastructure code.

	* /cvsroot/chicken/chicken/test-infrastructure-hygienic.scm:
	+ Changed the name of a few functions that were undocumented, but I wanted to
		document them. The names they originally had were not really meaningful.

2002-12-08  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/c-backend.scm, /cvsroot/chicken/chicken/c-platform.scm, /cvsroot/chicken/chicken/chicken-setup.scm, /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/examples/mandelbrot.scm, /cvsroot/chicken/chicken/lolevel.scm, /cvsroot/chicken/chicken/posix.scm, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/srfi-1.scm:
	- fixed bug in `chicken-setup.scm': the access-check for the
	  REGISTRY file is now done on the directory.
	- srfi-1.scm: `proper-list?' is now an alias for `list?'
	- fixed mean bug in a literal-frame allocation handling: pointer
	  to nursery-allocated symbols, when re-interned and written into
	  a literal-frame circumvented the write-barrier.
	  [Thanks to Joerg Wittenberger for providing sample code]
	- all places where BSD-specific stuff were used, now check
	  for Open BSD, too. Additionally, RTLD_GLOBAL is defined as 0.
	  [Thanks to Steve Elkins]
	- removed unused definitions from `examples/mandelbrot.scm'.
	  [Thanks to Sven Hartrumpf]
	- the way `let' was handled in the evaluator limited the number
	  of bindings to 128 on non-x86 hardware.
	  [Thanks to Dorai Sitaram]

2002-12-08  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/test-infrastructure-hygienic.scm:
	+ Hid all of the functions I don't want people to use with the prefix
		'test:'.
	+ Need to document some API functions I left for people to use.

2002-12-07  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/Makefile.am:
	+ Added the new test-infrastructure*.scm files to be installed with the
		loader file in the place where they get installed. :)

	* /cvsroot/chicken/chicken/test-infrastructure-hygienic-local.scm:
	+ Initial revision
	+ This file will contain any implementation specific testing infrastructure
		code you'd like (for example signal handling expectations) written in the
		hygienic R5RS macro style. Since it is local to the implementation,
		you may use implementation specific code in here.

	* /cvsroot/chicken/chicken/test-infrastructure-hygienic.scm:
	+ The code in this file used to be in test-infrastructure.scm. Please
		look there from 1.16 to 1.1 to see the previous history. That file
		is now a simple implementation specific loader of the testing
		infrastructure code.
	+ The code was moved into this file to be as portable as possible and it
		shall stay as close to R5RS as possible. Any implementation specific
		mumbo jumbo you'd like to add to the testing infrastructure (example,
		signal handling expectations), you should add into the corresponding
		*-local.scm files. Also, the common/base R5RS hygienic macro definition
		in this file is considered cannon, and the lowlevel macro implementation
		should always follow what is in this file.
	+ Fixed a bug where printnl was using a non-R5RS function causing a
		non-portability problem.
	+ Fixed a bug where I typoed a function reference for
		(terminate-result-result-ref ...)

	* /cvsroot/chicken/chicken/test-infrastructure-lowlevel-local.scm:
	+ Initial revision
	+ This file contains implementation specific test infrastructure code
		written using low level macros.

	* /cvsroot/chicken/chicken/test-infrastructure.scm:
	+ moved all code in here into test-infrastructure-hygienic.scm
	+ this file is now a simple implementation specific loader that loads either
		the hygienic or the low level macro version of the test common/base
		test-infrastructure code plus the test infrastructure code specific
		to this implementation.

	* /cvsroot/chicken/chicken/test-infrastructure-lowlevel.scm:
	+ Initial revision
	+ This file will contain the low level translation of the common/base
		hygienic test infrastructure macros.

2002-12-04  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/test-infrastructure.scm:
	+ Updated my copyright to be a bit more clear on something.

2002-12-02  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/builtin-interfaces.scm, /cvsroot/chicken/chicken/chicken-setup.scm, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/doc/FAQ.html, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/extras.scm, /cvsroot/chicken/chicken/formatprofile.bat, /cvsroot/chicken/chicken/formatprofile.in, /cvsroot/chicken/chicken/lolevel.scm, /cvsroot/chicken/chicken/posix.scm, /cvsroot/chicken/chicken/test-infrastructure.scm:
	- `flatten' didn't handle empty lists properly
	- location-stuff has own subsection in manual
	- Arguments to csc's -C and -L options are split at whitespace
	- more pointer operations
	- the index argument to `make-locative' is optional
	- formatprofile defaults to PROFILE, if no filename is given
	- `csi -setup' without further arguments initializes the registry
	- chicken-setup: build didn't restore state on failure
	- removed non-R5RS stuff from test-infrastructure.scm
	- posix.scm: `file-XXXX-access?' was broken
	- `csi -setup' tests write-permission for registry directory

2002-11-25  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/chicken-setup.scm, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/examples/ctclsh.scm, /cvsroot/chicken/chicken/extras.scm, /cvsroot/chicken/chicken/format.scm, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/regex.scm, /cvsroot/chicken/chicken/srfi-18.scm, /cvsroot/chicken/chicken/srfi-25.scm, /cvsroot/chicken/chicken/builtin-interfaces.scm, /cvsroot/chicken/chicken/c-backend.scm:
	- removed most of the string-utilities from `extras.scm'
	- fixed bug in `make-mutex'
	- removed `mutex-owner'
	- fixed some unbound-variable errors in several library files
	- precompiled regexp's

2002-11-25  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/test-infrastructure.scm:
	+ Wrote a destructor object API to wrap the message passing interface to the
		destructor object. I did this to keep it more consistant with the
		rest of the test-infrastructure APIs, and also, it now allow sme more
		freedom is manipulating the destructor object API and keeping it backwards
		compatible. Eventually, I was to be able to specify nicely the
		queued function calls so debugging information is much cleaner, and maybe
		I want to play with the result type of the destructor object instead
		if having it be the ignore type all of the time.
	+ Recasted the activation of the destructor object to use the new interface.

	* /cvsroot/chicken/chicken/doc/manual.tex:
	+ Fixed a typo that caused compilation to fail. *Please* check to make sure
		the manual compiles before commiting it. :)
	+ Added the documentation for the Destructor Object API.
	+ Added a simple example to people can begin to understand how all of this stuff
		is supposed to be used.

2002-11-12  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/lolevel.scm, /cvsroot/chicken/chicken/moremacros.scm:
	- `copy' maintains uniqueness of symbols
	- `define-record-printer' works with SRFI-9 records
	- fixed bug in `define-record-printer' macro

	* /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/c-platform.scm, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/srfi-18.scm, /cvsroot/chicken/chicken/support.scm:
	- fixed bug in `seconds->time' [Thanks to Joerg Wittenberger]
	- Added alternative keyword styles

2002-11-11  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/Makefile.am:
	+ c_defaults.h wasn't being generated correctly. It didn't have newlines
		where newlines were expected. I fixed it.

2002-11-09  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/acconfig.h, /cvsroot/chicken/chicken/builtin-interfaces.scm, /cvsroot/chicken/chicken/chicken-setup.scm, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/extras.scm, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/script-utils.scm, /cvsroot/chicken/chicken/srfi-18.scm, /cvsroot/chicken/chicken/test-infrastructure.scm, /cvsroot/chicken/chicken/testsuites/makefile, /cvsroot/chicken/chicken/testsuites/test-example.scm, /cvsroot/chicken/chicken/testsuites/test-r5rs.scm, /cvsroot/chicken/chicken/testsuites/test-test-infrastructure.scm:
	- chicken-setup.scm: `uninstall-extension!' accepts single symbol as argument
	- Fixed arity-bug in `string-map' (extras.scm)
	- `hash-table->list'
	- `make-mutex' wasn't adapted to final SRFI spec [Thanks to Joerg Wittenberger]
	- Adapted uses of AC_DEFINE in `configure.in' to new autoconf version

2002-11-07  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/doc/manual.tex:
	+ Fixed some minor documentation points.

	* /cvsroot/chicken/chicken/doc/manual.tex:
	+ Changed the toc and secnumdepth counters to be one greater so the fine
		structure detail of the manual is recorded into the table of contents.

2002-11-06  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/doc/manual.tex:
	+ Added the rest of the API descriptions for the test-infrastructure.scm
		file I've created for Chicken.
	+ TODO: still need to add examples of how it all works.

	* /cvsroot/chicken/chicken/test-infrastructure.scm:
	+ Changed the warning API to reference warnings in the result objects
		as it is presented to the user cause the old way was stupid. Now
		it is much more consistant.
	+ Fixed up some comments to be more correct.
	+ Once I changed the warning API, I had to fix output-style-human to reflect
		the new API design. Much better in my opinion....

2002-11-04  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/doc/manual.tex:
	+ Added more documentation of the test-infrastructure.scm file. I'm
		still not done, but I Have completed the test-package, test-case, and
		all of the expectation macros(except the signal handling ones). I
		still need to explain the api to get at the returned results from
		the expectations, test cases, and test packages, in addition to
		code examples.

2002-10-31  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/doc/manual.tex:
	+ Fixed some math mode errors in the tinyclos section.
	+ Added first part of the test-infrastructure.scm documentation. I've
		done the test package and test case macro descriptions. Still need to
		do more.

	* /cvsroot/chicken/chicken/test-infrastructure.scm:
	+ Added the (skip ...) macro which allows you to skip an expectation, test
		package or test case at your leisure.
	+ fixed up some comments.

2002-10-30  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/testsuites/test-r5rs.scm:
	+ Added the beginnings of chapter 6 from the R5RS handbook. Eventually,
		I'll add everything out of it. Mu goal is to implement as much of the
		R5RS spec as possible using my test infrastructure.

	* /cvsroot/chicken/chicken/test-infrastructure.scm:
	+ Added todo-result and gloss-result.
	+ todo-result is a message that says something needs to be done.
	+ gloss-result is strictly information to be processed by the user in
		any way desired. Usually it is a string that is printed out explaining
		some comments about something that is different than a warning.
	+ Changed the output-style-human function to output things in a better fashion.
	+ TODO Need to add the skip macro to be able to skip tests.

2002-10-29  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/test-infrastructure.scm:
	+ Added some stuff to my copyright.
	+ Fixed the debugging output of the output-style-human function so when it
		encounters something it doesn't know how to parse, it emits the object
		itself in the debug message.

	* /cvsroot/chicken/chicken/testsuites/test-r5rs.scm, /cvsroot/chicken/chicken/testsuites/test-test-infrastructure.scm, /cvsroot/chicken/chicken/testsuites/makefile, /cvsroot/chicken/chicken/testsuites/test-example.scm, /cvsroot/chicken/chicken/testsuites/test-lolevel.scm:
	+ fixed the test suite to use the new world order.

	* /cvsroot/chicken/chicken/test-infrastructure.scm:
	+ Fixed the comments about test-cases and test-packages.
	+ Removed some defunct code.
	+ Moved some code around for better organization.

2002-10-28  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/chicken-setup.scm, /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/lolevel.scm, /cvsroot/chicken/chicken/makefile.dj, /cvsroot/chicken/chicken/makefile.vc, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/srfi-18.scm:
	- `current-time' (srfi-18.scm) returns something more useful
	- fixed bug in `make-executable-byte-vector' and `make-static-byte-vector':
	  the allocated block was of insufficient size [Thanks to Peter Keller]
	- simplified the use of preprocessor-symbols with respect to `c_defaults.h'
	- `-strict[-srfi-0]' didn't work correctly
	- `csc.bat' is generated from `csc.in'

2002-10-28  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/testsuites/test-example.scm:
	+ Added some comments.

	* /cvsroot/chicken/chicken/testsuites/makefile:
	+ Added test-example.scm
	+ Commented out all tests except for the example test. I need to convert the
		other tests into the new world order of the testing infrastructure.

	* /cvsroot/chicken/chicken/testsuites/test-example.scm:
	+ initial revision
	+ A small example of the test-infrastructure code so people can have a
		starting point with which to write their own test using the system.

	* /cvsroot/chicken/chicken/test-infrastructure.scm:
	+ Added a simple output-style for human readable output of the result tree.
	    The modus opreandi for handling a result tree is to write a recursive
	    analysis procedure to manipulate it in any way you desire. It can
	    print out output, or calculate percentage failure, or do any other
	    computation you desire.
	+ Some Experimetnal API calls exist for the output-style-human function.
	    I don't know what I'm going to do with those quite yet.
	+ Added the warning syntax to all of the expectations(except the exception
	    handling test-cases, I haven't even touched those yet).
	    XXX I think you need another type to specially handle the exception
	    results.
	+ Renamed the escape-result and associated APIs to a terminate result since
	    that is closer to what it actually means.
	+ Fixed a lot of busted API calls to deal with the various result types.
	+ Added a user invoked terminate function which you pass a continuation
	    escpe fucntion and a message that all gets transformed into a terminate
	    result type in the test package or test case you are in. You may pass
	    _any_ escape function in your lexical scope.
	+ Added an "ignore-result" type which is extremely transient, and not
	    creatable by a user directly. It is meant to capture the return values
	    of the destructor object during its use. These are stripped out of the
	    result trees and are unobservable by the user. Some of the internal
	    evaluation functions for the cases/packages and expectations
	    silently process the ignored values and well, ignore them. :)
	+ Added the warning syntax to the test case and test package macros.
	+ Fixed it test case/package macros to always activate the destructor object,
	    strip ignored results, and build termination events when they happen
	    automatically.
	+ Got rid of the true/false macros. I didn't like them.
	+ Whenever you use the destructor, it creates a temporary ignore-result
	    type which immediatly gets eaten when it comes time to process that
	    particular result tree. I decided it wasn't in my best interest to
	    use the #<unspecifed> system here.
	+ Added my copyright for this code, and a small paragraph explaining that
	    you can use it for whatever you desire, but my name stays attached to
	    it.

2002-10-26  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/test-infrastructure.scm:
	+ Totally revamped the escape procedure handling. Now, when an escape
		procedure is called, you get an "escape-result" in the
		returned tree.	I'm toying with being able to specify
		a format you return so that you can give back diagnostic
		messages. Already it automatically remembers the context you were
		in package/test-case wise, but not expectation-wise(it can't,
		in fact--well, it could... and maybe it will some day). I removed
		the destructor-result object I had before cause it was dumb and
		didn't model the real concept I wanted.
	+ Added a warning syntax so when you make a test case or a test package
		you can(optionally) have it embed a warning object into the
		returned result list to be parsed later by the tree analysis
		code the user writes.  I need to add this functionality to the
		test-package macro(though the underlying support code for that
		macro understands it already) and for all of the expectations. The
		use of this is to mention things like chicken expects this answer
		when the r5rs handbook says to give that answer. Stuff like that.
	+ Cleaned up some code I fat fingered because I usually write this stuff
		at 2am.
	+ This is still not ready for prime time, but it is comming very close.

2002-10-25  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/test-infrastructure.scm:
	+ fixed a bug in evaled-package-results-true where if it was passed the empty
	list it would return true.

	* /cvsroot/chicken/chicken/test-infrastructure.scm:
	+ I've made serious changes to the internals of this code and until I update
		the test suites that use this code, they will all break. What I have
		currently appears to work and so I'm checking it in so I don't lose it
		through mistake or anything like that. The lowlevel macros definitely
		need to be redone, and I haven't attempted that yet. To felix, who
		is prolly reading this, don't do the conversion yet until I say cause
		a few things still need fixing.
	+ I've made it so that a test package can have multiple test cases or
		test-packages inside it ad infinitum.
	+ Now all tests return a huge tree that represents all of the results
		of the tests(along with the unevaluated expectations) and user
		supplied information for the tests. This causes a separation of
		output generation/analysis with the evaluation of the expectations.
		Now you can retarget output generation to be human readable or html
		or whatever you want.
	+ TODO: add new macro definitions for the "warning" style expectations,
		packages, and test cases.
	+ I added a ton of API calls to deal with the generated result tree and the
		various result types encapsulated in the tree. All of this, plus how
		to use everything needs documentation.

2002-10-21  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/testsuites/test-lolevel.scm, /cvsroot/chicken/chicken/testsuites/test-test-infrastructure.scm:
	- added some testing code

	* /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/test-infrastructure.scm, /cvsroot/chicken/chicken/testsuites/makefile, /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/extras.scm, /cvsroot/chicken/chicken/lolevel.scm, /cvsroot/chicken/chicken/runtime.c:
	- fixed some escaped characters in verbatim sections of the manual
	- ",d <locative>" didn't show anything useful in csi
	- `make-locative' didn't accept byte-vectors
	- `pretty-print' didn't handle eof-object (and crashed!)
	- `(##sys#fudge 16)' returned heavily overflowed values
	  [Thanks to Joerg Wittenberger]
	- made some minor modifications to `test-infrastructure.scm'
	- cleaned up the manual
	- removed #include of `varargs.h' (pseudo-Solaris fix)

2002-10-12  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/Makefile.am.debian, /cvsroot/chicken/chicken/autocvs, /cvsroot/chicken/chicken/chicken-setup.scm, /cvsroot/chicken/chicken/chicken.spec.in, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/test-infrastructure.scm, /cvsroot/chicken/chicken/testsuites/makefile, /cvsroot/chicken/chicken/testsuites/test-r5rs.scm:
	- added example for `define-external' to manual
	- added `-build' stage to chicken-setup
	- updated version of autoconf/automake/libtool-generated files
	- added test-infrastructure.scm to distribution tarball
	- removed acinclude.m4 and stamp.h-in from distribution
	- makefile in testsuites compiles and runs all tests

2002-10-11  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/doc/manual.tex:
	+ Fixed a LaTeX error, it compiles again now.

2002-10-09  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/builtin-interfaces.scm, /cvsroot/chicken/chicken/c-backend.scm, /cvsroot/chicken/chicken/c-platform.scm, /cvsroot/chicken/chicken/chicken-setup.1, /cvsroot/chicken/chicken/chicken-setup.scm, /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/doc/FAQ.html, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/highlevel-macros.scm, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/lolevel.scm, /cvsroot/chicken/chicken/moremacros.scm, /cvsroot/chicken/chicken/optimizer.scm, /cvsroot/chicken/chicken/posix.scm, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/support.scm, /cvsroot/chicken/chicken/tinyclos.scm:
	- Invocation of `csc' in `chicken-setup' uses full path.
	- Foreign procedure accept pointer-like objects were pointers
	  were previously required (allows locatives as pointer arguments).
	- Type-check routines for foreign arguments generate better code.
	- Some locative-related routines are inlined.
	- An invalid foreign type could crash the compiler.
	- Result-size compuation for access to foreign data had some 32-bit
	  dependencies.
	- `define-location' and `let-location', renamed `external-pointer' to `location'.
	- Allocation for foreign-results is done in-line.
	- Renamed module `ffi' to `chicken-ffi'.

2002-10-06  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/testsuites/test-r5rs.scm:
	+ the test package macros return a vector of results, so I fixed up
	the use of the test package that had been implemented.
	+ Changed the include of the infrastructure to a require of it since it is now
	in the distribution proper.

2002-10-05  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/Makefile.am:
	+ Added test-infrastructure.scm into the install procedure so this file
		is placed into the correct install place like moremacros.scm is.
	+ You may now (require 'test-infrastructure) to gain the ability to use this
		feature, but you MUST be using hygienic macros.
	+ As soon as I figure out where to document it, I'll do it.
	+ I still need to have a lowlevel macro translation of this file so people
		can use it without r5rs macros. However, I've barely used lowlevel
		macros, so it is going to take a while to perform the port while I
		figure everything out.

2002-10-02  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/LICENSE: moved LICENSE into doc directory

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/README, /cvsroot/chicken/chicken/README.CVS, /cvsroot/chicken/chicken/autocvs, /cvsroot/chicken/chicken/doc/LICENSE, /cvsroot/chicken/chicken/doc/README, /cvsroot/chicken/chicken/doc/README.CVS, /cvsroot/chicken/chicken/doc/README.txt, /cvsroot/chicken/chicken/runtime.c:
	- Fixed bug in heap-resizing routine [Thanks to Benedikt Rosenau]
	- Fixed several bugs in the manual [Thanks to Sven Hartrumpf and Benedikt Rosenau]
	- Moved some documentation files into doc directory

2002-10-02  surazal  <surazal@gurke>

	* /cvsroot/chicken/chicken/doc/manual.tex:
	Make the manual compile to pdf without stops.

2002-09-29  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/README, /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/builtin-interfaces.scm, /cvsroot/chicken/chicken/c-platform.scm, /cvsroot/chicken/chicken/chicken-setup.scm, /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/extras.scm, /cvsroot/chicken/chicken/highlevel-macros.scm, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/lolevel.scm, /cvsroot/chicken/chicken/moremacros.scm, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/srfi-25.scm:
	- fixed bug in `csc.bat' (wrong spelling of `library-extension')
	- fixed bug in `compiler.scm': `compile-time-macros-only' declaration set
	  wrong variable
	- `chicken-setup --wrap <file>.scm' works without .setup file
	- `arithmetic-shift' generates better code with a known second argument
	- locatives
	- `->string'
	- SRFI-26
	- `chicken-setup' macro and `-setup' option for csi
	- the extension-registry is created automatically

2002-09-19  surazal  <surazal@gurke>

	* /cvsroot/chicken/chicken/chicken-setup.scm:
	Ensure that .setup files are canonicalized before output, even where
	there was no existing file.

2002-09-17  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/Makefile.am.debian:
	*** empty log message ***

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/README, /cvsroot/chicken/chicken/builtin-interfaces.scm, /cvsroot/chicken/chicken/c-platform.scm, /cvsroot/chicken/chicken/chicken-setup.scm, /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/doc/Makefile, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/posix.scm, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/script-utils.scm, /cvsroot/chicken/chicken/tinyclos.scm:
	- `-:r' runtime option
	- `##sys#immediate?' and `arithmetic-shift' are rewritten to non-CPS calls
	- did some minor tweaks in `tinyclos.scm'
	- `C_fix()' used cast to unsigned word
	- fixed bug in `quit' procedure in `chicken-setup'
	- `posix' wasn't provided by csi
	- added `sleep' to `posix.scm'
	- added Debian-specific `Makefile.am' [Thanks to Joerg Wittenberger]
	- `manual.tex' has updated build-number [Thanks to Sven Hartrumpf]
	- fixed bug in `script-utils.scm': a local version of `regex-case' was required
	  [Thanks to Tony Garnock-Jones]

2002-09-17  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/testsuites/test-r5rs.scm:
	+ Changed include to get infrastructure from toplevel directory

	* /cvsroot/chicken/chicken/testsuites/test-r5rs.scm:
	initial revision of an R5RS test suite tailored to Chicken

	* /cvsroot/chicken/chicken/test-infrastructure.scm:
	Initial Revision of part of the test suite code for chicken.

2002-09-13  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/README, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/c-backend.scm, /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/makefile.vc, /cvsroot/chicken/chicken/srfi-1.scm, /cvsroot/chicken/chicken/srfi-25.scm, /cvsroot/chicken/chicken/support.scm:
	- fixed bug in `srfi-1.scm' [Thanks to Vladimir Tsichevski]
	- fixed bug in `support.scm': "nonnull-..." byte-vector types weren't properly handled
	- code generated for foreign-callback lambdas uses prefixed names for some
	  arguments to avoid collisions with user variables
	- `csc.bat' treats .lib files like .obj files
	- `makefile.vc' is able to bootstrap the system from sources
	- fixed minor bug in `Makefile.am': some docs had wrong paths
	- fixed bug in `gc': no-argument case invoked wrong GC method
	- fixed bug in `csi.scm': `,du' interpreter command crashed on immediate objects [Thanks to Benedikt Rosenau]
	- error-location printed wasn't properly qualified

2002-09-10  surazal  <surazal@gurke>

	* /cvsroot/chicken/chicken/doc/manual.tex: correct minor typo

2002-09-09  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/chicken-setup.scm, /cvsroot/chicken/chicken/chicken.1, /cvsroot/chicken/chicken/doc/manual.html, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/extras.scm:
	- chicken-setup: minor fixes, removed `test-run', added some properties
	- added chicken-setup example to manual
	- `constantly' accepts multiple arguments
	- removed manual.html

2002-09-06  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/doc/manual.tex:
	+ escaped an unescaped # character.

	* /cvsroot/chicken/chicken/doc/manual.tex:
	Fixed a typo where textt was used instead of texttt.

2002-09-05  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/chicken-setup.scm, /cvsroot/chicken/chicken/eval.scm:
	- `require' handles 'file property, now

2002-09-04  surazal  <surazal@gurke>

	* /cvsroot/chicken/chicken/chicken-setup.scm:
	Base the .so name in chicken-setup on the (file) attribute, rather than
	the name of the package

2002-09-04  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/chicken-setup.scm, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/tinyclos.scm:
	- more chicken-setup fixes

2002-09-04  surazal  <surazal@gurke>

	* /cvsroot/chicken/chicken/chicken-setup.scm: Change test-compile:
	- support #:cflags <list> (default ())
	- support #:ldflags <list> (default ())
	- support #:compile-only <boolean> (default #f)

	* /cvsroot/chicken/chicken/chicken-setup.scm: Remove offending tilde.

2002-09-03  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/README, /cvsroot/chicken/chicken/chicken-setup.in, /cvsroot/chicken/chicken/chicken-setup.scm, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/library.scm:
	- #:srfi-30 wasn't properly registered
	- several fixes in `chicken-setup.in'
	- added setup-property `when'; `make' now allows an arbitrary expression
	- `chicken-setup' is now compiled to a binary

2002-09-02  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/builtin-interfaces.scm, /cvsroot/chicken/chicken/chicken-setup.in, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/highlevel-macros.scm, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/moremacros.scm, /cvsroot/chicken/chicken/support.scm:
	- stacktrace/runtime error message shows offending source file
	- removed `regex-case' (will be put into extension library)
	- fixed problem in `Makefile.am': manual pages weren't found (moved them back into toplevel dir)
	- added feature-id for SRFI-30
	- fixed bug in handling of `--define' option in `chicken-setup.in'
	- fixed another problem in `chicken-setup.in' related to core-extensions
	- 'open-[input|output]-file' didn't show location in error-message

2002-09-01  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/doc/manual.tex:
	+ Stare in slack-jawed horror at my inclusion of the chicken image for
		the various formats the manual.

	+ There is a lesson here, basically, only \includegraphics{name}
		*without* an extension, and provide .eps, .jpg, and .png versions of
		every single image you'd want to put into the manual. Yeah, Yeah,
		I know but there didn't seem to be a better way.

	* /cvsroot/chicken/chicken/doc/chicken.eps, /cvsroot/chicken/chicken/doc/chicken.jpg:
	Added these various formats of the chicken.png file for various stages of the
	manual build process.

2002-08-31  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/chicken-setup.in, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/extras.scm, /cvsroot/chicken/chicken/optimizer.scm, /cvsroot/chicken/chicken/runtime.c:
	- fixed bug in runtime.c (`C_set_host_data')
	- unexported, unused globals in files with an `export' declaration weren't removed
	- `csc' passed `-feature chicken-compile-shared' instead of `-feature csc-compile-shared'
	- `(random 0)' resulted in div-by-zero
	- added `compile-time-macros-only' declaration
	- error in macro-expansion shows macro
	- chicken-setup: several changes - should now work better with macros at extension build-time

2002-08-30  surazal  <surazal@gurke>

	* /cvsroot/chicken/chicken/Makefile.am: Unstomp quoting fixes :-)

2002-08-30  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/doc/Makefile:
	CHanged felix's email address to something else he prefers.

	* /cvsroot/chicken/chicken/doc/Makefile: + Added html generation.
	+ Made the successive calls to latex be in batchmode so they are quiet.

	* /cvsroot/chicken/chicken/doc/manual.tex:
	+ Removed a slight bit of html that I missed
	+ fixed some formatting of the source
	+ added hyperref package suggessted by Sven

2002-08-29  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/doc/manual.tex:
	+ Fixed some more upside down question marks I missed previously.

2002-08-28  psilord  <psilord@gurke>

	* /cvsroot/chicken/chicken/doc/manual.tex:
	- Did the first pass of cleaning the LaTeX up, removed all html.
	- Formatted near all of the manual to 80 columns, please respect that.
	- Fixed some typos.
	- Cleaned up the verbatim sections so they are legible now.
	- Inspected the manual in detail for what kind of macros it needs and
		the kinds of changes the manual requires.
	- Cleaned up math mode stuff that felix didn't know was math mode. :)

	* /cvsroot/chicken/chicken/doc/Makefile:
	- Added another latex pass on the manual to get more references right.
	- Added some more comments to the Makefile.

	* /cvsroot/chicken/chicken/doc/manual.tex:
	+ Formatted a single paragraph to 80 column text, and fixed a LaTeX error
	where a \textt got used instead of a \texttt.

	+ Also, this is my first checkin! So I'm testing how it all goes....

2002-08-27  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/README, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/c-platform.scm, /cvsroot/chicken/chicken/chicken-setup.in, /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/doc/manual.html, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/extras.scm, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/lolevel.scm, /cvsroot/chicken/chicken/moremacros.scm, /cvsroot/chicken/chicken/posix.scm, /cvsroot/chicken/chicken/regex.scm, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/script-utils.scm, /cvsroot/chicken/chicken/srfi-1.scm, /cvsroot/chicken/chicken/srfi-13.scm, /cvsroot/chicken/chicken/srfi-14.scm, /cvsroot/chicken/chicken/srfi-18.scm, /cvsroot/chicken/chicken/srfi-4.scm, /cvsroot/chicken/chicken/support.scm, /cvsroot/chicken/chicken/syntax-case.scm:
	- fixed bug in statistics-code (`-debug s') [Thanks to Benedikt Rosenau]
	- improved error-messages (location is shown more often)
	- fixed bug in `define-entry-point'
	- chicken-setup: repeated compile checks file-modification time

2002-08-25  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/FAQ.html, /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/chicken-config.in, /cvsroot/chicken/chicken/chicken-setup.in, /cvsroot/chicken/chicken/chicken.png, /cvsroot/chicken/chicken/doc/FAQ.html, /cvsroot/chicken/chicken/doc/Makefile, /cvsroot/chicken/chicken/doc/chicken.png, /cvsroot/chicken/chicken/doc/format.txt, /cvsroot/chicken/chicken/doc/manual.html, /cvsroot/chicken/chicken/doc/manual.tex, /cvsroot/chicken/chicken/format.txt, /cvsroot/chicken/chicken/manual.html, /cvsroot/chicken/chicken/manual.tex:
	- added separate `doc' directory

2002-08-24  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/builtin-interfaces.scm, /cvsroot/chicken/chicken/chicken-setup.in, /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/examples/mandelbrot.scm, /cvsroot/chicken/chicken/extras.scm, /cvsroot/chicken/chicken/highlevel-macros.scm, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/lolevel.scm, /cvsroot/chicken/chicken/manual.html, /cvsroot/chicken/chicken/manual.tex, /cvsroot/chicken/chicken/moremacros.scm, /cvsroot/chicken/chicken/posix.scm, /cvsroot/chicken/chicken/regex.scm, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/srfi-1.scm, /cvsroot/chicken/chicken/srfi-13.scm, /cvsroot/chicken/chicken/srfi-14.scm, /cvsroot/chicken/chicken/srfi-18.scm, /cvsroot/chicken/chicken/srfi-25.scm, /cvsroot/chicken/chicken/srfi-4.scm, /cvsroot/chicken/chicken/tinyclos.scm:
	- fixes some errors in `moremacros.scm' and `chicken-setup.in'.
	- removed `define-foreign-parameter'
	- added `manual.tex'
	- better error-messages

2002-08-24  surazal  <surazal@gurke>

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/chicken-config.in:
	Add an extra layer of quoting so that our CFLAGS get passed through
	the various programs properly.

2002-08-17  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csc.in:
	- fixed minor bug in `csc.in'/`csc.bat'

2002-08-16  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/autocvs, /cvsroot/chicken/chicken/chicken.scm, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/manual.html:
	- csc: options `-X' and `-H2'
	- autocvs: no generation of README.txt and ChangeLog
	- fixed some REGISTRY-related bugs

2002-08-16  surazal  <surazal@gurke>

	* /cvsroot/chicken/chicken/csc.in:
	cflags now contains embedded quote-marks, so make csc's
	best-compilation-optimization-options include it using #<<EOF instead
	of simple double-quotes.

	* /cvsroot/chicken/chicken/autocvs:
	Copy, rather than symlink, mkinstalldirs/install-sh/missing etc

2002-08-15  surazal  <surazal@gurke>

	* /cvsroot/chicken/chicken/configure.in:
	Added check for -ldld for HPUX shl_load.

	* /cvsroot/chicken/chicken/autocvs:
	Autogenerate README.txt from README when you run autocvs.
	It's either that, or have an empty README.txt (touch README.txt) or remove
	README.txt from DOCFILES in Makefile.am. Or something else :-)

2002-08-14  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/README, /cvsroot/chicken/chicken/REGISTRY, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/chicken-setup.in, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/lolevel.scm, /cvsroot/chicken/chicken/manual.html:
	- Makefile.am should be pmake-ready, now
	- Added `--init' to `chicken-setup'
	- `require' should now worl properly

2002-08-14  surazal  <surazal@gurke>

	* /cvsroot/chicken/chicken/acconfig.h, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/runtime.c:
	Use shl_load/shl_findsym on HP-UX instead of dlopen/dlsym.

2002-08-13  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/REGISTRY, /cvsroot/chicken/chicken/chicken-setup.1:
	- added `REGISTRY' and `chicken-setup.1'

	* /cvsroot/chicken/chicken/FAQ.html, /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/README, /cvsroot/chicken/chicken/builtin-interfaces.scm, /cvsroot/chicken/chicken/c-platform.scm, /cvsroot/chicken/chicken/chicken-config.in, /cvsroot/chicken/chicken/chicken-setup.in, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/highlevel-macros.scm, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/makefile.dj, /cvsroot/chicken/chicken/makefile.vc, /cvsroot/chicken/chicken/manual.html, /cvsroot/chicken/chicken/moremacros.scm, /cvsroot/chicken/chicken/parameters.scm:
	- `require' and friends have been revamped
	- Fixed bug in `csi.scm': `untrace' referenced hidden variable `##sys#delq'
	  [Thanks to Panagiotis Vossos]
	- Fixed bug in `c-platforms.scm': rewriting rule for `gc' has been removed

2002-08-12  surazal  <surazal@gurke>

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/autocvs:
	Remove README.txt from DOCFILES in Makefile.am; touch ChangeLog in autocvs

2002-08-09  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/ChangeLog: - removed ChangeLog (sic)
	  Use `rcs2log' to obtain a ChangeLog, or use the usual CVS commands.

	* /cvsroot/chicken/chicken/README.txt: removed README.txt

	* /cvsroot/chicken/chicken/ChangeLog, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/srfi-18.scm:
	- `(gc #t) forces finalizers.
	- Documented `hash-table-remove!'
	- Time-related stuff in `srfi-18.scm' uses wall-clock time instead of
	  CPU time

2002-08-09  surazal  <surazal@gurke>

	* /cvsroot/chicken/chicken/ChangeLog, /cvsroot/chicken/chicken/extras.scm:
	Added hash-table-remove!.

	* /cvsroot/chicken/chicken/ChangeLog, /cvsroot/chicken/chicken/highlevel-macros.scm:
	From Panagiotis Vossos:
	The syntax-rules 'ensure' macro in highlevel-macros.scm has not been
	updated to accept optional arguments as documented in the manual and
	implemented with define-macro in moremacros.scm.  The following patch
	fixes this bug.

2002-08-06  surazal  <surazal@gurke>

	* /cvsroot/chicken/chicken/README.CVS: Restore README.CVS from v1.2

2002-08-05  flw  <flw@gurke>

	* /cvsroot/chicken/chicken/ChangeLog, /cvsroot/chicken/chicken/README, /cvsroot/chicken/chicken/README.CVS, /cvsroot/chicken/chicken/README.txt, /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/chicken-config.in, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/extras.scm, /cvsroot/chicken/chicken/manual.html, /cvsroot/chicken/chicken/optimizer.scm, /cvsroot/chicken/chicken/posix.scm, /cvsroot/chicken/chicken/srfi-1.scm, /cvsroot/chicken/chicken/support.scm:
	some bugfixes, some enhancments, `export' declaration

2002-08-04  surazal  <surazal@gurke>

	* /cvsroot/chicken/chicken/autocvs:
	Mention libtoolize explicitly when running autoconf/automake/etc to
	avoid warnings. (Panagiotis Vossos)

	* /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/chicken-config.in:
	chicken-config now supports "-prefix" argument.

2002-08-01  surazal  <surazal@gurke>

	* /cvsroot/chicken/chicken/README.CVS:
	Spell out multi-stage bootstrap procedure.

	* /cvsroot/chicken/chicken/README.CVS:
	Initial commit of CVS Chicken bootstrapping instructions.

	* /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/c-platform.scm, /cvsroot/chicken/chicken/chicken.1, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/manual.html, /cvsroot/chicken/chicken/support.scm:
	(felix) Real-name-table and Line-number-database added

	* /cvsroot/chicken/chicken/ChangeLog, /cvsroot/chicken/chicken/README, /cvsroot/chicken/chicken/README.txt, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/configure.in:
	(felix) Version number bumped to 1072.

	* /cvsroot/chicken/chicken/examples/tclAppInit.c:
	RCS Id keyword removed.

	* /cvsroot/chicken/chicken/ChangeLog, /cvsroot/chicken/chicken/FAQ.html, /cvsroot/chicken/chicken/INSTALL, /cvsroot/chicken/chicken/LICENSE, /cvsroot/chicken/chicken/Makefile.am, /cvsroot/chicken/chicken/README, /cvsroot/chicken/chicken/README.txt, /cvsroot/chicken/chicken/acconfig.h, /cvsroot/chicken/chicken/autocvs, /cvsroot/chicken/chicken/batch-driver.scm, /cvsroot/chicken/chicken/build.scm, /cvsroot/chicken/chicken/builtin-interfaces.scm, /cvsroot/chicken/chicken/c-backend.scm, /cvsroot/chicken/chicken/c-platform.scm, /cvsroot/chicken/chicken/chicken-config.1, /cvsroot/chicken/chicken/chicken-config.in, /cvsroot/chicken/chicken/chicken.1, /cvsroot/chicken/chicken/chicken.h, /cvsroot/chicken/chicken/chicken.ico, /cvsroot/chicken/chicken/chicken.init, /cvsroot/chicken/chicken/chicken.png, /cvsroot/chicken/chicken/chicken.rc, /cvsroot/chicken/chicken/chicken.scm, /cvsroot/chicken/chicken/chicken.spec.in, /cvsroot/chicken/chicken/compiler.scm, /cvsroot/chicken/chicken/configure.in, /cvsroot/chicken/chicken/csc.1, /cvsroot/chicken/chicken/csc.bat, /cvsroot/chicken/chicken/csc.in, /cvsroot/chicken/chicken/csi.1, /cvsroot/chicken/chicken/csi.scm, /cvsroot/chicken/chicken/csibatch.bat, /cvsroot/chicken/chicken/eval.scm, /cvsroot/chicken/chicken/examples/README, /cvsroot/chicken/chicken/examples/calendar.scm, /cvsroot/chicken/chicken/examples/ctclsh.scm, /cvsroot/chicken/chicken/examples/eval-client.c, /cvsroot/chicken/chicken/examples/eval-server.scm, /cvsroot/chicken/chicken/examples/hellowin.scm, /cvsroot/chicken/chicken/examples/makefile, /cvsroot/chicken/chicken/examples/makefile.vc, /cvsroot/chicken/chicken/examples/mandelbrot.scm, /cvsroot/chicken/chicken/examples/mmcp.scm, /cvsroot/chicken/chicken/examples/nqueens.prolog, /cvsroot/chicken/chicken/examples/prolog.scm, /cvsroot/chicken/chicken/examples/schelog-macros.scm, /cvsroot/chicken/chicken/examples/schelog-support.scm, /cvsroot/chicken/chicken/examples/tclAppInit.c, /cvsroot/chicken/chicken/examples/x11cplot.c, /cvsroot/chicken/chicken/examples/x11cplot.h, /cvsroot/chicken/chicken/extend-chicken.in, /cvsroot/chicken/chicken/extend-csi.in, /cvsroot/chicken/chicken/extras.scm, /cvsroot/chicken/chicken/format.scm, /cvsroot/chicken/chicken/format.txt, /cvsroot/chicken/chicken/formatprofile.bat, /cvsroot/chicken/chicken/formatprofile.in, /cvsroot/chicken/chicken/highlevel-macros.scm, /cvsroot/chicken/chicken/library.scm, /cvsroot/chicken/chicken/lolevel.scm, /cvsroot/chicken/chicken/makefile.dj, /cvsroot/chicken/chicken/makefile.guilibs, /cvsroot/chicken/chicken/makefile.mingw32, /cvsroot/chicken/chicken/makefile.vc, /cvsroot/chicken/chicken/manual.html, /cvsroot/chicken/chicken/match.scm, /cvsroot/chicken/chicken/modules.scm, /cvsroot/chicken/chicken/moremacros.scm, /cvsroot/chicken/chicken/nsample.scm, /cvsroot/chicken/chicken/optimizer.scm, /cvsroot/chicken/chicken/parameters.scm, /cvsroot/chicken/chicken/posix.scm, /cvsroot/chicken/chicken/profiler.scm, /cvsroot/chicken/chicken/regex.scm, /cvsroot/chicken/chicken/regex2.scm, /cvsroot/chicken/chicken/runtime.c, /cvsroot/chicken/chicken/scheme-ieee-1178-1990.c, /cvsroot/chicken/chicken/scheme-r4rs.c, /cvsroot/chicken/chicken/scheme-r5rs.c, /cvsroot/chicken/chicken/scheme-srfi-0.c, /cvsroot/chicken/chicken/scheme-srfi-7.c, /cvsroot/chicken/chicken/script-utils.scm, /cvsroot/chicken/chicken/srfi-1.scm, /cvsroot/chicken/chicken/srfi-13-syntax.scm, /cvsroot/chicken/chicken/srfi-13.scm, /cvsroot/chicken/chicken/srfi-14.scm, /cvsroot/chicken/chicken/srfi-18.scm, /cvsroot/chicken/chicken/srfi-25.scm, /cvsroot/chicken/chicken/srfi-4.scm, /cvsroot/chicken/chicken/support.scm, /cvsroot/chicken/chicken/syntax-case.scm, /cvsroot/chicken/chicken/tinyclos.scm, /cvsroot/chicken/chicken/tweaks.scm:
	Initial commit: 1071 + partway toward 1072 + cleanup + removed .c files

